Subject: RE: [Isis-wg] Question on DCC Architecture

From: Riad Hartani <[email-masked]>
Date: Sun, 17 Dec 2000 18:22:51 -0800

On this subject, the OIF UNI 1.0 specification (submitted for last call)
describes, among other things, how to use SONET Line and/or Section DCC
overhead bytes to transport various IP control plane messages (called IP
Control Channel -IPCC-). For discovery of information required by the IP
control plane, both DCC or J0 bytes may be used in the actual proposal.

For the IP control plane, the proposal requires IP packets to be
encapsulated in PPP over HDLC-like framing with bit stuffing format. The
spec also describes various aspects related to the selection and maintenance
of IPCC parameters, as well as other ways of carrying IP control information
in Sonet/WDM environments.

Hope this helps,

Riad

> -----Original Message-----
> From: Alex Zinin [mailto:[email-masked]]
> Sent: Sunday, December 17, 2000 9:46 AM
> To: Tony Przygienda
> Cc: [email-masked]; [email-masked]; 
> [email-masked];
> [email-masked]; [email-masked]
> Subject: Re: [Isis-wg] Question on DCC Architecture
> 
> 
> 
> Tony,
> 
> >>  A number of companies working in the SONET area already use or are
> >>  planning to use DCC for IP control plane [I put MPLS list back ;),
> >>  since this question is related to GMPLS and OTN-related work].
> >> 
> >>  There are two types of IP encapsulation on DCC that I know of:
> >>  LAP-D and PPP/HDLC. We use the second one in our SONET products.
> >> 
> >>  I think writing up an IETF document describing this would 
> make sense.
> 
> > First, this smells much like ISO thing to do so we'd need 
> an agreement/liason
> > first from their side. That is obviously only worth 
> pursuiting if we have
> > authors commiting to provide the cycles first.
> 
> Hmmm... why do you think specification of *IP* encapsulation 
> over SONET DCC
> using "PPP over HDLC-like framing" is something ISO should do?
> 
> > Second, which workgroup ? One of the MPLS offsprings such 
> as GSMP ;-) ? What about 
> > a new one, IPSO (IP over SOnet) ? I'm joking but wouldn't 
> be surprised
> > if the joke find takers ;-) ? 
> 
> Definitely not me ;)
> 
> I think some kind of individual submission should be ok. I guess
> the Internet Area is the one that logically hosts it.
> 
> Thanks,
> 
> Alex.
> 
> 
> _______________________________________________
> Isis-wg mailing list  -  [email-masked]
> http://external.juniper.net/mailman/listinfo/isis-wg
>

---

From: "Manohar Ellanti" <[email-masked]>
Date: Mon, 18 Dec 2000 07:01:37 -0800

I think there are two aspects to the IP over SONET DCC. One is UNI
Signaling  for the purpose of CPE-ONE Signaling and possibly NNI Signaling
and the other is DCN (at least that is the term we used and I believe is
borrowed from work done in Sonet Interoperability Forum) for EMS/NMS.  The
latter is something that is discussed quite a bit in SIF and may be in ANSI
T1X1 as well.

Incase it might help here are some references.

1. Brown, Mike, SIF-AR-9804-055, "Survey of Requirements for IP on the
non-DCC DCN," April 15, 1998.
2. Hunt, Christopher J., SIF-AR-9804-058, "TCP/IP DCN Alternatives," April
14, 1998.
3. Jamal, Rashid, SIF-AR-9803-054, "IP On DCN - Sprint's Response," April
14, 1998.
4. Reference architecture proposed at May IP DCN conference call.

I think, SIF primarily focused on use of DCC bytes (called  as embedded
operations channel) for SONET network management plane and not for control
plane.  IP over PPP over HDLC over DCC bytes as pure network transport
mechanism need not be linked with control plane or management plane. I think
UNI 1.0 does leave scope for UNI signaling messages to be transported using
1. DCC bytes
2. SPE
3. alternate transport such as UNI over internet reaching the ONE.
4. Ethernet if CPE is co-located with ONE such as in a POP

A general informational document drawing inputs from SIF, UNI 1.0 and from
other useful dicussions elsewhere might be helpful for IETF community  while
avoiding re-inventing some of the issues and operational problems expressed
already and draws from good inputs in the past of lot of people.

Manohar N Ellanti

----- Original Message -----
From: "Riad Hartani" <[email-masked]>
To: "'Alex Zinin'" <[email-masked]>; "Tony Przygienda" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Sunday, December 17, 2000 6:22 PM
Subject: RE: [Isis-wg] Question on DCC Architecture

---

From: Yangguang Xu <[email-masked]>
Date: Mon, 18 Dec 2000 09:29:11 -0500

Hello All,

Traditionally, SONET/SDH run OSI stack over DCC, that's where the LAPD/DCC came
from. For IP traffic, PPP/HDLC/DCC is commonly used. Below is the introduction
of DCC from "ietf-koay-mpls-and-optical-00.txt". Details can be found at any
ANSI, Bellcore, ITU ... SONET/SDH document.

  "3.1  Line DCC-MS
   Line DCC or Multiplex-section DCC are the D4-D12 bytes in the overhead of a 
   SONET or SDH frame respectively. Being in the line or multiplex-section 
   overhead, they are passed thru repeaters in the span. Hence, DCC-MS should be 
   used for neighbor discovery when the link connection contains section 
   terminating regenerators.

   SDH customers should already be familiar with enabling multiplex-section DCC 
   for management traffic (ITU-T G.784 10/98). In this standard, Line DCC-MS is 
   recommended for routing management traffic and for communication between two 
   SONET/SDH line/MS terminating nodes when regenerators are in the span. 

   3.2  Section DCC-RS
   Section DCC or regenerator-section DCC are the D1-D3 bytes in the overhead of 
   a SONET or SDH frame respectively. The section overhead bytes are terminated 
   by regenerators. Since regenerators are not Network Control nodes, Section 
   DCC-RS can be used only if there are no regenerators in the span."
 
However, using in-band control channel always has bandwidth limitation.
Remember, DCC are fixed bytes and is not only used by control traffic. The
"control plane" (not the data plane) "network" (not only links) should start
from understanding its network level requirements (performance, security,
reliability and etc.) Which physical medium and its "default" layer 2 protocol
should meet the network level requirement and come naturally and conveniently. 

Yangguang

---

From: Mike Truskowski <[email-masked]>
Date: Mon, 18 Dec 2000 7:40:37 PST

For what it is worth, there are NO formal agreements 
in the NSIF for IP on the DCC and to my knowledge no
work in the ITU dealing with the DCC.

Mike

---

From: "S.Sankaranarayanan" <[email-masked]>
Date: Mon, 18 Dec 2000 11:56:35 -0500

Just to clarify a point...

The ITU-T SG15 Q14 has recently started work on a generic DCN
architecture and there was agreement in the last experts meeting in Dec,
2000 that this DCN would be IP based and would address the issue of
interworking between an OSI based DCN and IP based DCN.

Regards,
Shiva

---

From: Mike Truskowski <[email-masked]>
Date: Mon, 18 Dec 2000 8:08:14 PST

OK, but the DCN is not the DCC.

The NSIF, formerly the SIF, worked on the mediation
issues dealing with OSI and TCP/IP.  The work was
incomplete since it dealt with datagrams and not
software download.   

Are you saying that the SG15 is working on mediation
in the DCN to include software download?  

Mike